"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.FilePhysicalStoragePlugin = void 0;
var _defineProperty2 = _interopRequireDefault(require("@babel/runtime/helpers/defineProperty"));
var _plugins = require("@webiny/plugins");
var _error = _interopRequireDefault(require("@webiny/error"));
class FilePhysicalStoragePlugin extends _plugins.Plugin {
  constructor(params) {
    super();
    (0, _defineProperty2.default)(this, "_params", void 0);
    this._params = params;
  }
  async upload(params) {
    if (!this._params.upload) {
      throw new _error.default(`You must define the "upload" method of this plugin.`, "UPLOAD_METHOD_ERROR");
    }
    return this._params.upload(params);
  }
  async delete(params) {
    if (!this._params.delete) {
      throw new _error.default(`You must define the "delete" method of this plugin.`, "DELETE_METHOD_ERROR");
    }
    return this._params.delete(params);
  }
}
exports.FilePhysicalStoragePlugin = FilePhysicalStoragePlugin;
(0, _defineProperty2.default)(FilePhysicalStoragePlugin, "type", "api-file-manager-storage");